Package rpm

Source package: rpm
Version: 4.0.4-alt100.77.M70P.4
Build time:  Mar 7, 2019, 09:29 AM
 in the task #221604
Category: System/Configuration/Packaging
Report package bug
License:  GPL
Summary:  The RPM package management system
Description: 
The RPM Package Manager (RPM) is a powerful command line driven
package management system capable of installing, uninstalling,
verifying, querying, and updating software packages.  Each software
package consists of an archive of files along with information about
the package like its version, a description, etc.
List of rpms provided by this srpm: 
librpm (x86_64, i586)
librpm-debuginfo (x86_64, i586)
librpm-devel (x86_64, i586)
librpm-devel-static (x86_64, i586)
librpmbuild (x86_64, i586)
librpmbuild-debuginfo (x86_64, i586)
python-module-rpm (x86_64, i586)
python-module-rpm-debuginfo (x86_64, i586)
rpm (x86_64, i586)
rpm-build (x86_64, i586)
rpm-build-debuginfo (x86_64, i586)
rpm-checkinstall (noarch)
rpm-debuginfo (x86_64, i586)
rpm-static (x86_64, i586)
rpm-static-debuginfo (x86_64, i586)
Last changes:
March 4, 2019 Ivan Zakharyaschev 4.0.4-alt101.M80P.6
[rpmbuild changes up to 4.0.4-alt128]
- Dropped $RPM_STRICT_INTERDEPS support
  (introduced in 4.0.4-alt101.M80P.2).
- Changed the generator of package self-provides
  and the generator of strict intersubpackage dependencies
  to use [E:]V-R[:D] format instead of [E:]V-R
  (by Vladimir D. Seleznev and Dmitry V. Levin).
- For stable branches (like p8, c8), made the generator of package self-provides
  additionally produce [E:]V-R (for compatibility with old rpm and apt).
- Make "new" packages (with disttags) be treated better
  by the "old" disttag-unaware rpm in some cases; primarily those with
  < and/or > Conflicts on another subpackage. This form of Conflicts
  is used to ensure that no subpackages from different releases/builds
  get installed together. (A better way to express this is to add a
  common subpackage that all other subpackages depend on.) This change
  doesn't affect the way the "new" rpm would treat packages with such
  deps (ALT#35930):
  + rewrite < and > dependencies so that they have almost the same meaning when
    treated by old disttag-unaware tools;
- build/reqprov.c: made addReqProv() aware of the disttag of the package.
March 4, 2019 Ivan Zakharyaschev 4.0.4-alt100.77.M70P.4
- Merged 4.0.4-alt101.M80P.6 into p7, t7 for rpm-build changes regarding disttags.
Feb. 15, 2019 Ivan Zakharyaschev 4.0.4-alt100.77.M70P.3.1
Merged 4.0.4-alt101.M80P.5.1 into p7, t7:
[rpm]
- lib/depends.c: make headerMatchesDepFlags() aware of the disttag
  of the header. (This should help to obsolete a specific disttag.)
- Implemented DistTag support when comparing package versions (with
  help by Vladimir D. Seleznev). (It's necessary for the correctness
  of checking dependencies after we introduced parseEVRD().)
- Dirty hacked to make upgrade packages between branches possible
  (by Vladimir D. Seleznev).
- Build the Python modules with -D_FILE_OFFSET_BITS=64.

[rpmbuild] cherry-picked:

[4.0.4-alt126] (glebfm@)
- imz@:
  + shell.req: correctly detect #!/bin/env bash (ALT#35376).
  + platform.in: completely expand %_libsuff (/usr/lib%nil was ugly).
- Fixed getopt(3) use in parameterized macros parser.

[4.0.4-alt125] (ldv@)
- [not for p8] spec: replaced deprecated PreReq tags with Requires tags.
- [not for p8] Added automatic conversion of deprecated PreReq tags to Requires tags.
- [not for p8] Disallowed extra qualifiers with BuildPreReq tag.
- [not for p8] Disallowed unknown qualifiers with Requires and BuildRequires tags.
- [not for p8] Allowed abbreviated qualifiers with Requires and BuildRequires tags.
- Moved ProvidedSymbols() and SuggestBPP() to separate files.
- lib.prov: Added printing of the number of provided symbols
  and the bpp value for each library.
- [not for p8] lib.req: Updated the list of standard libraries with guaranteed versioning.
- suggest_bpp: Fixed harmless off-by-one error in bpp estimation
  (in most cases, it'll give the same value as before).

[4.0.4-alt124] (ldv@)
- [not for p8] addReqProv: fixed too aggressive merge of PreReqs introduced
  in 4.0.4-alt122.
- Applied llvm changes (by lakostis@; closes: #34671):
  + cpp.req: skip cpp checks for llvm;
  + verify-elf: bypass lint checks by request.

[4.0.4-alt122] (ldv@)
- [not yet for p8] Dropped $RPM_STRICT_INTERDEPS support
  (introduced in 4.0.4-alt110).
- Made name, version, release, and disttag check stricter
  (by vseleznv@ and me).
- Added support for parsing [E:]V-R[:D] dependencies format
  (by vseleznv@ and ldv@).
- [not yet for p8] Changed the generator of package self-provides
  and the generator of strict intersubpackage dependencies
  to use [E:]V-R[:D] format instead of [E:]V-R
  (by vseleznv@ and me).
- [not for p8] addReqProv: implemented dep flags merge:
  when a stronger requirement is added while a weaker one already exists
  with incompatible flags, try to merge these flags to produce a new
  stronger requirement.  For example,
  "PreReq: rpm = 4.0.4_2.7" + "Requires: rpm = 4.0.4_2.7-alt100.77.M70P.4"
  now results to "PreReq: rpm = 4.0.4_2.7-alt100.77.M70P.4".

[4.0.4-alt121] (ldv@)
- [not for p8] verify-elf: disabled stack verification and elflint on RISC-V (arei@).
- platform.in: removed harmless bash4 noise from %filter_from_* macros
  (closes: #35803).

[4.0.4-alt120] (ldv@)
- lib.prov, lib.req: enhanced ProvidedSymbols (glebfm@ and me).
- Added ppc64le support (glebfm@).

[4.0.4-alt115] (glebfm@)
- rpmrc: added mips64* and mips*r6 support.
- [not for p8] verify-elf: disabled stack verification and elflint on mips* (iv@).
- Fixed installation of platform macros on armh arch.

[4.0.4-alt114] (at@)
- cpio.c: Fixed the conversion of 8-digit hex file sizes from cpio header.
  Packages with a 2GB+ file should now be installable.

[4.0.4-alt113] (at@)
- Implemented limited support for large files: a 2GB+ file can now be packaged,
  but the total size of uncompressed cpio payload is capped at 4 GB.
- Automatically downgrade LZMA compression levels 7-9 -> 6 on small payloads.

[4.0.4-alt112] (glebfm@)
- imz@:
  + Turned on running %__find_{conflicts,obsoletes} if they are defined.
  + shell.req.files: included #!/usr/bin/env sh.
  + [already in p8] verify-elf: allowed standalone use (without failing due to grep's status).
- macro.c: increased maximal macro depth.
- Introduced %_libsuff and %_is_libsuff macros.
- Added support of mips{,n32,64}{,el}, riscv64, and s390x targets.
- Added non-lfs symbols from librt.so.1 library to verify_lfs check.
- Filtered string functions from the list of non-lfs symbols.

[4.0.4-alt111] (ldv@)
- [not for c7] ldd: changed to try interpreters listed in /usr/bin/ldd.
- [not for p8] platform: changed %__nprocs to use nproc(1) instead of /proc/stat.

[4.0.4-alt109] (bircoph@)
- Add e2k arch and subarches:
  - Modify installplatform for e2k.
  - Add e2k arch, subarches and all macros for them.
- Tag changes (by vseleznev):
  - [not for p8] Add RPMTAG_IDENTITY, RPMTAG_AUTOINSTALLED.
  - [already in p8] respect device ID when remap inodes.

[4.0.4-alt108] (ldv@)
- [not for p8] platform.in:
  + %_smp_mflags: changed to use %__nprocs;
  + added -O option to MAKEFLAGS.
- installplatform, rpmrc.in: made armv8l compatible with armh (by Sergey Bolshakov).

[4.0.4-alt107] (ldv@)
- compare_deps: fixed a bug in handling epochs.
- [not for p8] platform.in:
  + %optflags_core: added -frecord-gcc-switches (see: #34162);
  + %make_build: implemented as a simple command (closes: #34237).
- [already in p8] genCpioListAndHeader: implemented remapping of device and inode numbers
  (by Vladimir D. Seleznev and me; closes: #34398).

4.0.4-alt103 (ldv@)
- When scanning files for deps, debuginfo, fixup, and verify_elf,
  ignore ELF files generated by GNU Guile.

Back to Top